#+TITLE: Exercise Artefact Comments 
#+AUTHOR: VLEAD
#+DATE: [07-12-2019]
#+SETUPFILE: ../../org-templates/level-2.org
#+TAGS: boilerplate(b)
#+EXCLUDE_TAGS: boilerplate
#+OPTIONS: ^:nil

* Introduction
* JSON
#+NAME: exercise-comments
#+BEGIN_SRC jsong
{
  "translations" : {
    "en": {
      ".avTitle": "Quicksort Proficiency Exercise",
      "av_Authors": "Daniel Breakiron",
      ".instructLabel": "Instructions:",
      ".instructions": "This exercise has you perform all of the steps taken by Quicksort, except that the details of the partion step are done for you. You must do a series of the following steps until the array is completely sorted. <br>(1) Select the pivot element and move it to the appropriate location. <br>(2) Select the left and right endpoints of the range you wish to partition and click 'Partition'. <br>(3) Once the partition operation has been done for you, click the location where the pivot value should be moved to. <br>(4) When a selected element has been moved to its final sorted location, click 'Mark Selected as Sorted'. <br>Repeat these steps until the array is sorted. If you have trouble understanding what you are supposed to do, try viewing a 'Model Answer' to see how it is supposed to be done. <br /><br /> When partitioning, always select the left and right endpoints, even if they are the same element.  When processing a sublist of length 1, simply mark the element as sorted.  When determining the pivot's final location, treat any elements that match the pivot as if they were larger than the pivot.",
      "#help": "Help",
      "#about": "About",
      "#partition": "Partition",
      "#markSorted": "Mark Selected as Sorted",
      "av_c1": "Select the pivot and then click on where it should be moved to.",
      "av_c2": "Select the pivot.",
      "av_c3": "Move the pivot to the end.",
      "av_c4": "Partition the subarray.",
      "av_c5": "Put the pivot value into its correct location.",
      "av_c6": "Mark the pivot location as sorted.",
      "av_c7": "Mark the single value on the left side as sorted.",
      "av_c8": "Mark the single value on the right side as sorted.",
      "av_c9": "Select the partition's left endpoint.",
      "av_c10": "Select the partition's right endpoint, then click on 'Partition'.",
      "av_c11": "Click 'Partition'.",
      "av_c12": "",
      "av_c13": "Select the right endpoint, then click on 'Partition'.",
      "av_c14": "Select the left endpoint.",
      "av_c15": "Done partitioning. Now click on the position where the pivot should be moved to, and click 'Mark Selected as Sorted'."
    }
  }
}

#+END_SRC

* Tangle
#+BEGIN_SRC json :tangle quicksort-exercise.json :eval no :noweb yes
<<exercise-comments>>
#+END_SRC
